---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab schedule create`

Schedule a new pipeline.

```plaintext
glab schedule create [flags]
```

## Examples

```plaintext
glab schedule create --cron "0 * * * *" --description "Describe your pipeline here" --ref "main" --variable "foo:bar" --variable "baz:baz"

```

## Options

```plaintext
      --active                Whether or not the schedule is active. (default true)
      --cron string           Cron interval pattern.
      --cronTimeZone string   Cron timezone. (default "UTC")
      --description string    Description of the schedule.
      --ref string            Target branch or tag.
      --variable strings      Pass variables to schedule in the format <key>:<value>.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
